All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
sparse_prod.cpp File Reference
`#include <iostream>`
`#include <vector>`
`#include <map>`
`#include "viennacl/scalar.hpp"`
`#include "viennacl/compressed_matrix.hpp"`
`#include "viennacl/linalg/prod.hpp"`
`#include "viennacl/tools/random.hpp"`

Go to the source code of this file.

## Functions

template<typename IndexT , typename NumericT , typename MatrixT >
NumericT | diff (std::vector< std::map< IndexT, NumericT > > const &stl_A, MatrixT &vcl_A)
template<typename IndexT , typename NumericT >
void | prod (std::vector< std::map< IndexT, NumericT > > const &stl_A, std::vector< std::map< IndexT, NumericT > > const &stl_B, std::vector< std::map< IndexT, NumericT > > &stl_C)
template<typename NumericT , typename Epsilon >
int | test (Epsilon const &epsilon)
int | main ()

## Function Documentation

template<typename IndexT , typename NumericT , typename MatrixT >

NumericT diff | ( | std::vector< std::map< IndexT, NumericT > > const & | stl_A,
|  | MatrixT & | vcl_A
| ) |  |

Definition at line 47 of file sparse_prod.cpp.

int main | ( |  | ) |

Definition at line 201 of file sparse_prod.cpp.

template<typename IndexT , typename NumericT >

void prod | ( | std::vector< std::map< IndexT, NumericT > > const & | stl_A,
|  | std::vector< std::map< IndexT, NumericT > > const & | stl_B,
|  | std::vector< std::map< IndexT, NumericT > > & | stl_C
| ) |  |

Examples:
  blas2.cpp, blas3.cpp, iterative-ublas.cpp, matrix-range.cpp, qr.cpp, and sparse.cpp.

Definition at line 114 of file sparse_prod.cpp.

template<typename NumericT , typename Epsilon >

int test | ( | Epsilon const & | epsilon | ) |

Definition at line 132 of file sparse_prod.cpp.